<?php
// Unclassified NewsBoard
// Copyright 2003-4 by Yves Goergen
// Homepage: http://newsboard.unclassified.de
// See docs/license.txt for distribution/license details
//
// ABBC help page language resource file
//
// Language : German (de)
// Encoding : UTF-8 (without encoding marker at file begin!)
// Author   : Yves Goergen <contact@unclassified.de>
// Last edit: 20040524
?>

<div class="p">
<b>Advanced BBCode</b> ist eine Auszeichnungssprache, mit der sich die Beiträge grundlegend formatieren lassen. Dabei sind u.a. die folgenden Tags vorgesehen:
</div>

<div class="help_entry">
<div class="keyword">Textformatierung</div>
<div class="content">
	[b]...[/b] &nbsp; Fettdruck, oder: &nbsp; *Fett*<br />
	[i]...[/i] &nbsp; Kursivdruck, oder: &nbsp; /Kursiv/<br />
	[u]...[/u] &nbsp; Unterstreichen, oder: &nbsp; _Unter_<br />
	[s]...[/s] &nbsp; Durchstreichen, oder: &nbsp; ~Durch~<br />
	[o]...[/o] &nbsp; Überstreichen<br />
	[m]...[/m] &nbsp; Festbreite<br /><br />

	Die alternativen Special Codes können teilweise Probleme bei der Darstellung bereiten. In diesem Fall kann man die Option "<?= $T['no_special_abbc_syntax'] ?>" auswählen, um diese Codes für den Beitrag nicht anzuwenden.
</div>
</div>

<div class="help_entry">
<div class="keyword">Schriftart</div>
<div class="content">
	[font=<i>xxx</i>]...[/font] &nbsp; Schriftart <i>xxx</i><br />
	[font=<i>xxx</i>:<i>n</i>]...[/font] &nbsp; Schriftart <i>xxx</i>, Größe <i>n</i> px<br />
	[size=<i>n</i>]...[/size] &nbsp; Schriftgröße <i>n</i> px<br />
	&nbsp; &nbsp; <i>Umrechnung pt &lt;-&gt; px siehe unten</i><br />
	[color=<i>xxx</i>]...[/color] &nbsp; Schriftfarbe <i>xxx</i> (#RRGGBB)<br />
	[mark=<i>xxx</i>]...[/mark] &nbsp; Hintergrundfarbe <i>xxx</i><br />
	[sup]...[/sup] &nbsp; Hochgestellter Text<br />
	[sub]...[/sub] &nbsp; Tiefgestellter Text<br />
	[align=<i>xxx</i>]...[/align] &nbsp; Ausrichtung: left/center/right/justify<br />
</div>
</div>

<div class="help_entry">
<div class="keyword">Listen</div>
<div class="content">
	[list]<br />
	[*] ... &nbsp; Aufzählungspunkt<br />
	[/list]<br />
	Verschiedene Listen-Typen: &nbsp; [list=<i>xxx</i>] &nbsp; 1/A/i/a/o/+<br /><br />

	Einfache Listen: &nbsp; */o/# am Anfang der Zeile (ohne [list])<br />
	&nbsp; &nbsp; <i>(siehe Bemerkung zur Einfachen Formatierung weiter oben)</i>
</div>
</div>

<div class="help_entry">
<div class="keyword">Bilder und Links</div>
<div class="content">
	[img]...[/img] &nbsp; Bilddatei ... anzeigen<br />
	[img=<i>align</i>]...[/img] &nbsp; Bild mit Ausrichtung: left/right/middle...<br />
	[url]...[/url] &nbsp; Link zu ...<br />
	[mail]...[/mail] &nbsp; E-Mail an ...<br />
</div>
</div>

<div class="help_entry">
<div class="keyword">Code und Zitate</div>
<div class="content">
	[code]...[/code] &nbsp; Quelltext<br />
	[code=php]...[/code] &nbsp; Quelltext mit PHP-Syntax<br />
	[quote]...[/quote] &nbsp; Zitat<br />
	[quote=<i>xxx</i>]...[/quote] &nbsp; Zitat von <i>xxx</i><br />
	[indent]...[/indent] &nbsp; Textblock einrücken<br />
	[indent=<i>n</i>]...[/indent] &nbsp; Textblock um <i>n</i> Pixel einrücken<br /><br />

	Einfache Zitate: &nbsp; |" ... "|<br />
	&nbsp; &nbsp; <i>(siehe Bemerkung zur Einfachen Formatierung weiter oben)</i><br /><br />

	Bei [code]-Tags kann als Parameter eine Sprache angegeben werden, nach der das Syntax-Highlighting vorgenommen wird. Derzeit werden folgende Sprachen unterstützt:<br />
	PHP (PHP-eigene Funktion), C (noch recht fehleranfällig)
</div>
</div>

<div class="help_entry">
<div class="keyword">Weitere</div>
<div class="content">
	[line] &nbsp; Horizontale Linie, oder: &nbsp; ---- (mind. 4 Striche)<br />
	[line=<i>color</i>] &nbsp; Linie der Farbe <i>color</i><br />
	[line=<i>color</i>:<i>size</i>] &nbsp; Linie der Farbe <i>color</i> und Dicke <i>size</i><br />
</div>
</div>

<div class="p">
Alles was zwischen den Tags [#] und [/#] steht, wird in keiner Weise ausgewertet oder verändert. Einzelne Tags können durch die Ersatzdarstellung \[ für ein [ maskiert werden. [rem]...[/rem] bildet Kommentare, die nicht angezeigt werden.
</div>

<div class="p">
Bei Tags, die einen eigenen Absatz bilden (z.B. [code], [quote], [align], [line]), werden direkt angrenzende Zeilenumbrüche ggf. entfernt. Auch wenn das [code]-Tag allein in einer Zeile steht, werden deshalb keine Leerzeilen darum generiert.
</div>

<div class="p">
Folgende Tabelle zeigt die Umrechnung von Schriftgrößen zwischen pt (Punkt) und px (Pixeln):<br />
&nbsp; 7pt -- 9px<br />
&nbsp; 8pt -- 11px<br />
&nbsp; 10pt -- 13px<br />
&nbsp; 12pt -- 16px<br />
&nbsp; 14pt -- 19px<br />
</div>

<div class="p">
<i>Um dich mit diesen Konventionen vertraut zu machen, solltest du zunächst die <b>Vorschau</b> benutzen, um die Eingabe zu prüfen.</i>
</div>

<div class="p">
ESC (Escape) schließt dieses Fenster.
</div>

<div class="p">
<small>Weitere Informationen zum ABBC-Parser und zur Sprache bekommst du auf der <a href="<?= $MODULE['derefer'] . PD ?>url=http://software.unclassified.de/abbc">ABBC-Homepage</a>.</small>
</div>
